'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _reactAddons = require('react/addons');

var _reactAddons2 = _interopRequireDefault(_reactAddons);

var _reactVendorPrefix = require('react-vendor-prefix');

var _reactVendorPrefix2 = _interopRequireDefault(_reactVendorPrefix);

var Children = _reactAddons2['default'].Children;

var Layout = _reactAddons2['default'].createClass({
    displayName: 'Layout',

    propTypes: {
        type: _reactAddons2['default'].PropTypes.string.isRequired
    },

    getDefaultProps: function getDefaultProps() {
        return {
            type: 'columns'
        };
    },

    render: function render() {
        var classes = ['Layout'];
        if (this.props.className) {
            classes.push(this.props.className);
        }
        classes.push(this.props.type);

        var style = undefined;

        if (this.props.type === 'rows') {
            style = {
                display: 'flex',
                flex: 1,
                flexDirection: 'column',

                position: 'absolute',
                left: 0,
                right: 0,

                top: 0,
                bottom: 0
            };
        } else {
            style = {
                display: 'flex',
                flex: 1,
                flexDirection: 'row',

                position: 'absolute',
                left: 0,
                right: 0,

                top: 0,
                bottom: 0

            };
        }

        var prefixed = _reactVendorPrefix2['default'].prefix({ styles: style });

        return _reactAddons2['default'].createElement(
            'div',
            { className: classes.join(' '), style: prefixed.styles },
            this.props.children
        );
    }
});

exports['default'] = Layout;
module.exports = exports['default'];